// -----------------------------------------------------------------------------
//
// Author(s):     Peter Schraut (www.console-dev.de)
// Last Modified: 2nd July 2005
//
// Purpose:       Demo shows how to use interrupt functions.
//
// -----------------------------------------------------------------------------
#include <hel.h>


// -----------------------------------------------------------------------------
// Global Variables
// -----------------------------------------------------------------------------
u32 g_VblCounter=0;
u32 g_HblCounter=0;


// -----------------------------------------------------------------------------
// Prototypes
// -----------------------------------------------------------------------------
void VBLInterruptHandler(void);
void HBLInterruptHandler(void);



// -----------------------------------------------------------------------------
// Program Entry Point
// -----------------------------------------------------------------------------
int main(void)
{
    ham_Init();
    ham_SetBgMode(0);
    ham_InitText(0);

    ham_StartIntHandler(INT_TYPE_VBL, (void*)VBLInterruptHandler);
    ham_StartIntHandler(INT_TYPE_HBL, (void*)HBLInterruptHandler);
    
    // Stop Interrupt again.
    // comment one out to test!
    hel_IntrStopHandler(INT_TYPE_VBL);
    //hel_IntrStopHandler(INT_TYPE_HBL);
    
    for(;;)
    {
         // Show the counter so we see
         // if the interrupt is still triggered
         ham_DrawText(1,1,"VBL: %d", g_VblCounter);
         ham_DrawText(1,2,"HBL: %d", g_HblCounter);
    }

    return 0;
}

// -----------------------------------------------------------------------------
// VBL Interupt Handler
// -----------------------------------------------------------------------------
void VBLInterruptHandler(void)
{
    g_VblCounter++;
}

// -----------------------------------------------------------------------------
// HBL Interupt Handler
// -----------------------------------------------------------------------------
void HBLInterruptHandler(void)
{
    g_HblCounter++;
}


