// -----------------------------------------------------------------------------
//
// Author(s):     Peter Schraut (www.console-dev.de)
// Last Modified: 2nd July 2005
//
// Purpose:       Demo shows how to use the Splash Functions.
//
// -----------------------------------------------------------------------------
#include <hel.h>


// -----------------------------------------------------------------------------
// External Data
// -----------------------------------------------------------------------------
extern const unsigned short splashhel_Palette[256];
extern const unsigned char splashhel_Bitmap[38400];


// -----------------------------------------------------------------------------
// Program Entry Point
// -----------------------------------------------------------------------------
int main(void)
{
    ham_Init();
    
    // hel_Splash only works in Mode 3, 4 and 5
    ham_SetBgMode(4);

    for(;;)
    {
      // Display the SplashScreen
      hel_Splash((void*)splashhel_Bitmap,     // pBitmap
                 (void*)splashhel_Palette,    // pPalette
                 SPLASH_TYPE_BLACK,           // SplashTypeIn
                 SPLASH_TYPE_BLACK,           // SplashTypeOut
                 6,                           // FadeInSpeed
                 6,                           // FadeOutSpeed
                 40,                          // WaitFrames
                 16);                         // AfterWaitFrames
    }
    
    return 0;
}


